var __defProp = Object.defineProperty;
var __defProps = Object.defineProperties;
var __getOwnPropDescs = Object.getOwnPropertyDescriptors;
var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __defNormalProp = (obj, key, value) => key in obj ? __defProp(obj, key, { enumerable: true, configurable: true, writable: true, value }) : obj[key] = value;
var __spreadValues = (a, b) => {
  for (var prop in b || (b = {}))
    if (__hasOwnProp.call(b, prop))
      __defNormalProp(a, prop, b[prop]);
  if (__getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(b)) {
      if (__propIsEnum.call(b, prop))
        __defNormalProp(a, prop, b[prop]);
    }
  return a;
};
var __spreadProps = (a, b) => __defProps(a, __getOwnPropDescs(b));
import { defineComponent, ref, useSlots, openBlock, createElementBlock, Fragment, createVNode, unref, normalizeClass, withCtx, renderSlot, createCommentVNode, renderList, createBlock, createSlots, createTextVNode, toDisplayString } from "vue";
import { UButton } from "../button/index.js";
import { UIcon } from "../icon/index.js";
import { withTheme } from "../../theme/index.js";
import render from "../../node_modules/@heroicons/vue/solid/esm/ChevronDownIcon.js";
const _hoisted_1 = {
  key: 0,
  class: "mr-3 w-4 h-4"
};
const _hoisted_2 = {
  key: 1,
  class: "ml-auto w-4 h-4"
};
const __default__ = { name: "u-menu-item" };
const _sfc_main = defineComponent(__spreadProps(__spreadValues({}, __default__), {
  props: {
    class: null,
    disabled: { type: Boolean, default: false },
    type: null,
    href: null,
    target: null,
    items: null
  },
  emits: ["click"],
  setup(__props, { emit }) {
    const props = __props;
    const dropdownVisible = ref(false);
    const toggleDropdown = () => {
      dropdownVisible.value = !dropdownVisible.value;
    };
    useSlots();
    const styles = withTheme("menuItem");
    const classes = [styles.base];
    if (props.disabled)
      classes.push(styles.disabled);
    if (props.class)
      classes.push(props.class);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock(Fragment, null, [
        createVNode(unref(UButton), {
          class: normalizeClass([classes]),
          target: props.target,
          disabled: props.disabled,
          type: props.type,
          onClick: _cache[0] || (_cache[0] = (e) => {
            toggleDropdown();
            emit("click", e);
          })
        }, {
          default: withCtx(() => [
            _ctx.$slots.prefixIcon ? (openBlock(), createElementBlock("div", _hoisted_1, [
              renderSlot(_ctx.$slots, "prefixIcon")
            ])) : createCommentVNode("", true),
            renderSlot(_ctx.$slots, "default"),
            _ctx.$slots.appendIcon || __props.items ? (openBlock(), createElementBlock("div", _hoisted_2, [
              renderSlot(_ctx.$slots, "appendIcon", {}, () => [
                createVNode(unref(render), {
                  class: "h-5 w-5",
                  "aria-hidden": "true"
                })
              ])
            ])) : createCommentVNode("", true)
          ]),
          _: 3
        }, 8, ["class", "target", "disabled", "type"]),
        __props.items && dropdownVisible.value ? (openBlock(true), createElementBlock(Fragment, { key: 0 }, renderList(__props.items, (item) => {
          return openBlock(), createBlock(unref(UButton), {
            key: item.name,
            class: normalizeClass([classes, "ml-4"]),
            href: item.href,
            target: item.target,
            disabled: item.disabled,
            type: "text"
          }, createSlots({
            default: withCtx(() => [
              createTextVNode(" " + toDisplayString(item.name), 1)
            ]),
            _: 2
          }, [
            item.iconSrc ? {
              name: "prefixIcon",
              fn: withCtx(() => [
                createVNode(unref(UIcon), {
                  src: item.iconSrc
                }, null, 8, ["src"])
              ])
            } : void 0
          ]), 1032, ["class", "href", "target", "disabled"]);
        }), 128)) : createCommentVNode("", true)
      ], 64);
    };
  }
}));
export { _sfc_main as default };
//# sourceMappingURL=menu-item.js.map
