import { ConfigKey } from "./symbols.js";
import { tokenMap, componentThemes, createTheme } from "../theme/theme.js";
const createPlugin = () => {
  const install = async (app, options) => {
    const tokens = (options == null ? void 0 : options.tokens) ? options.tokens : tokenMap;
    const classes = (options == null ? void 0 : options.components) ? options.components : componentThemes;
    const theme = (options == null ? void 0 : options.theme) ? options.theme : createTheme(tokens, classes);
    app.provide(ConfigKey, { theme });
  };
  return { install };
};
const unlockedModular = createPlugin();
export { unlockedModular };
//# sourceMappingURL=modular-install.js.map
